System.ServiceModel 4.0.0.0 System.ServiceModel.WSFederationHttpBinding

Federation is the ability to share identities across multiple enterprises or trust domains for authentication and authorization. It uses the WS-Trust protocol to map the identity representation from one trust domain to another. Federated HTTP binding supports SOAP security as well as mixed-mode security, but it does not support transport security. Services configured with this binding must use the HTTP transport. crdefault .

When calling a indigo2 service built with.Net Framework 4.0 from a WCF client application built with netfx35_short or earlier, the configuration file generated by svcutil.exe or adding a service reference from vsprvs will contain the establishSecurityContext attribute in the binding configuration. This attribute is not recognized by the netfx35_short runtime and the application will thrown an with the message "Unrecognized attribute establishSecurityContext". To workaround this problem, remove the establishSecurityContext attribute from the binding configuration.

A secure and interoperable binding that derives from and supports federated security.

- Constructor
  4.0.0.0

  The details of these settings are available from the instance of that is returned by the property.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0

  The default value of is which specifies that integrity, confidentiality, and server and client authentication are provided using SOAP message security. The details of these settings are available from the instance of that is returned by the property.

  Initializes a new instance of the class with a specified type of security used by the binding.

  The value of that specifies the type of security that is used with the SOAP message and for the client.
- Constructor
  4.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class with a binding specified by its configuration name.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with a specified type of security used by the binding and a value that indicates whether a reliable session is enabled.

  The value of that specifies the type of security that is used with the SOAP message and for the client.
  true if a reliable session is enabled; otherwise, false.